<?php
/*

() Club Veselchak U (club@shelek.com)
  , 
        .

****************************************

     readme.txt .

****************************************

 :

2.0	2006.03.19 RXL (rxl@mail.ru)
      .


*/

class core__session
{
//    var $_use_links = false; // **ffe ?
    var $_storage;
    var $sid;
//    var $_sid; // *ffe
//    var $_name; // *ffe
    var $no_store = false;

    function core__session()
    {
	global $core;

	if ($core->is_loaded('session'))
	    user_error("Session module already exists", WARN);

	if ( _g('engine.session.storage_module'))
	    $this->_storage = $core->get_module( _g('engine.session.storage_module'));
	if (!$this->_storage)
	    $this->_storage = $core->get_module('session_std');
	if (!$this->_storage)
	    user_error("Can't load session storage module", ERROR);

	session_set_save_handler(
	    array(&$this->_storage, 'session_open'),
	    array(get_class($this->_storage), 'session_close'),
	    array(&$this->_storage, 'session_read'),
	    array(&$this->_storage, 'session_write'),
	    array(&$this->_storage, 'session_delete'),
	    array(&$this->_storage, 'session_gc')
	    );

	if ( _g('engine.session.save_path'))
	    session_save_path( _g('engine.session.save_path'));

	if ( _g('engine.session.name'))
	    $session_name = _g('engine.session.name');
	else
	    $session_name = 'PHPSESSID';

	session_name($session_name);

	if ( _g('engine.session.session_lifetime'))
	    ini_set('session.gc_maxlifetime', _g('engine.session.session_lifetime'));

	ini_set('session.use_cookies', 1);

	if ( _yes('engine.session.security'))
	{
	    ini_set('session.use_only_cookies', 1);
	    ini_set('session.referer_check', _g('engine.base_url'));
	}

	if ( _g('engine.session.cookie_lifetime'))
	{
	    $path = _yes('engine.session.cookie_use_path') ? _g('engine.rel_url') : '/';
	    session_set_cookie_params( _g('engine.session.cookie_lifetime'),
		$path, _g('engine.server'), _yes('engine.session.cookie_secure'));
	}
    }

}

?>