<?php
{ //   { }    

global $engine_root, $site_root, $site_scheme, $site_server, $site_rel_path, $site_file;
global $ver_major, $ver_minor, $ver_patch, $ver_status, $ver_step;

return "

### base paths

engine.root = {$engine_root}
engine.site_root = {$site_root}
engine.server = {$site_server}
engine.base_url = {$site_scheme}{$site_server}
engine.abs_url = {$site_scheme}{$site_server}{$site_rel_path}
engine.rel_url = {$site_rel_path}
engine.main_url = {$site_scheme}{$site_server}{$site_rel_path}{$site_file}

### manual locking

engine.disabled = no

### debug facilities

# 3 - full debugging mode, 2 - debugging mode,
# 1 - testing mode, 0 - working mode
engine.debug.level = 2
# 2 - on error and on warning, 1 - on error, 0 - none
engine.debug.show_vars_level = 1
# 2 - on error and on warning, 1 - on error, 0 - none
engine.debug.show_backtrace_level = 2

### run-time preferences

engine.core_auto_load = yes
engine.core_class_prefix = core__
engine.user_class_prefix = user__

engine.preload_list. = db
#engine.preload_list. = post_data
engine.preload_list. = session
engine.preload_list. = url
engine.preload_list. = main

engine.run_list_begin. = main
#engine.run_list_end. = 

### version data

engine.version.full = {$ver_major}.{$ver_minor}.{$ver_patch}-{$ver_status}{$ver_step}
engine.version.major = {$ver_major}
engine.version.minor = {$ver_minor}
engine.version.patch = {$ver_patch}
engine.version.status = {$ver_status}
engine.version.develstep = {$ver_step}

### messages

engine.msg_replace_prefix = [
engine.msg_replace_postfix = ]

engine.msg.core.error_handler.header = <div class='engine_error_block'><b>[error]</b>:\
 [filename]:[linenumber]<br /> <b><u>Text</u></b>: [errmsg]
engine.msg.core.error_handler.backtrace_header = <br /><b><u>Backtrace</u></b>:<br />
engine.msg.core.error_handler.backtrace_line = #[number]: [function] at [filename]:[linenumber]<br />
engine.msg.core.error_handler.backtrace_footer =
engine.msg.core.error_handler.variables = <br /><b><u>Variables</u></b>:<pre>[vars]</pre>
engine.msg.core.error_handler.footer = </div>


";
}
?>